// java wrapper for vtkStreamTracer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkStreamTracer.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkStreamTracer_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkStreamTracer",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkStreamTracer_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  const char    *temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamTracer_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkStreamTracer *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetStartPosition_12(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkStreamTracer *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStartPosition(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetStartPosition_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkStreamTracer *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStartPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkStreamTracer_GetStartPosition_14(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  double  *temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStartPosition();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetSource_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkStreamTracer *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSource(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkStreamTracer_GetSource_16(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  vtkDataSet  *temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSource();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetSourceConnection_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkStreamTracer *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSourceConnection(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetIntegrator_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkStreamTracer *op;
  vtkInitialValueProblemSolver  *temp0;
  temp0 = (vtkInitialValueProblemSolver *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegrator(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkStreamTracer_GetIntegrator_19(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  vtkInitialValueProblemSolver  *temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntegrator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetIntegratorType_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkStreamTracer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegratorType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamTracer_GetIntegratorType_111(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  int      temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntegratorType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetIntegratorTypeToRungeKutta2_112(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegratorTypeToRungeKutta2();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetIntegratorTypeToRungeKutta4_113(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegratorTypeToRungeKutta4();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetIntegratorTypeToRungeKutta45_114(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegratorTypeToRungeKutta45();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetMaximumPropagation_115(JNIEnv *env, jobject obj,jint id0,jdouble id1)
{
  vtkStreamTracer *op;
  int      temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumPropagation(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetMaximumPropagation_116(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkStreamTracer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumPropagation(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetMaximumPropagationUnit_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkStreamTracer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumPropagationUnit(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamTracer_GetMaximumPropagationUnit_118(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  int      temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumPropagationUnit();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkStreamTracer_GetMaximumPropagation_119(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  double   temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumPropagation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetMaximumPropagationUnitToTimeUnit_120(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumPropagationUnitToTimeUnit();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetMaximumPropagationUnitToLengthUnit_121(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumPropagationUnitToLengthUnit();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetMaximumPropagationUnitToCellLengthUnit_122(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumPropagationUnitToCellLengthUnit();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetMinimumIntegrationStep_123(JNIEnv *env, jobject obj,jint id0,jdouble id1)
{
  vtkStreamTracer *op;
  int      temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinimumIntegrationStep(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetMinimumIntegrationStepUnit_124(JNIEnv *env, jobject obj,jint id0)
{
  vtkStreamTracer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinimumIntegrationStepUnit(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetMinimumIntegrationStep_125(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkStreamTracer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinimumIntegrationStep(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamTracer_GetMinimumIntegrationStepUnit_126(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  int      temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinimumIntegrationStepUnit();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkStreamTracer_GetMinimumIntegrationStep_127(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  double   temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinimumIntegrationStep();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetMinimumIntegrationStepUnitToTimeUnit_128(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinimumIntegrationStepUnitToTimeUnit();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetMinimumIntegrationStepUnitToLengthUnit_129(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinimumIntegrationStepUnitToLengthUnit();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetMinimumIntegrationStepUnitToCellLengthUnit_130(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinimumIntegrationStepUnitToCellLengthUnit();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetMaximumIntegrationStep_131(JNIEnv *env, jobject obj,jint id0,jdouble id1)
{
  vtkStreamTracer *op;
  int      temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumIntegrationStep(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetMaximumIntegrationStepUnit_132(JNIEnv *env, jobject obj,jint id0)
{
  vtkStreamTracer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumIntegrationStepUnit(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetMaximumIntegrationStep_133(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkStreamTracer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumIntegrationStep(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamTracer_GetMaximumIntegrationStepUnit_134(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  int      temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumIntegrationStepUnit();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkStreamTracer_GetMaximumIntegrationStep_135(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  double   temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumIntegrationStep();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetMaximumIntegrationStepUnitToTimeUnit_136(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumIntegrationStepUnitToTimeUnit();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetMaximumIntegrationStepUnitToLengthUnit_137(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumIntegrationStepUnitToLengthUnit();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetMaximumIntegrationStepUnitToCellLengthUnit_138(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumIntegrationStepUnitToCellLengthUnit();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetInitialIntegrationStep_139(JNIEnv *env, jobject obj,jint id0,jdouble id1)
{
  vtkStreamTracer *op;
  int      temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInitialIntegrationStep(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetInitialIntegrationStepUnit_140(JNIEnv *env, jobject obj,jint id0)
{
  vtkStreamTracer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInitialIntegrationStepUnit(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetInitialIntegrationStep_141(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkStreamTracer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInitialIntegrationStep(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamTracer_GetInitialIntegrationStepUnit_142(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  int      temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInitialIntegrationStepUnit();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkStreamTracer_GetInitialIntegrationStep_143(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  double   temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInitialIntegrationStep();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetInitialIntegrationStepUnitToTimeUnit_144(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInitialIntegrationStepUnitToTimeUnit();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetInitialIntegrationStepUnitToLengthUnit_145(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInitialIntegrationStepUnitToLengthUnit();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetInitialIntegrationStepUnitToCellLengthUnit_146(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInitialIntegrationStepUnitToCellLengthUnit();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetMaximumError_147(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkStreamTracer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumError(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkStreamTracer_GetMaximumError_148(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  double   temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumError();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetMaximumNumberOfSteps_149(JNIEnv *env, jobject obj,jint id0)
{
  vtkStreamTracer *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumNumberOfSteps(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamTracer_GetMaximumNumberOfSteps_150(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  vtkIdType   temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumNumberOfSteps();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetTerminalSpeed_151(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkStreamTracer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTerminalSpeed(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkStreamTracer_GetTerminalSpeed_152(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  double   temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTerminalSpeed();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetIntegrationDirection_153(JNIEnv *env, jobject obj,jint id0)
{
  vtkStreamTracer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegrationDirection(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamTracer_GetIntegrationDirectionMinValue_154(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  int      temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntegrationDirectionMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamTracer_GetIntegrationDirectionMaxValue_155(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  int      temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntegrationDirectionMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamTracer_GetIntegrationDirection_156(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  int      temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntegrationDirection();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetIntegrationDirectionToForward_157(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegrationDirectionToForward();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetIntegrationDirectionToBackward_158(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegrationDirectionToBackward();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetIntegrationDirectionToBoth_159(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegrationDirectionToBoth();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetComputeVorticity_160(JNIEnv *env, jobject obj,jint id0)
{
  vtkStreamTracer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetComputeVorticity(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamTracer_GetComputeVorticity_161(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  int      temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetComputeVorticity();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_ComputeVorticityOn_162(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeVorticityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_ComputeVorticityOff_163(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeVorticityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetRotationScale_164(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkStreamTracer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRotationScale(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkStreamTracer_GetRotationScale_165(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  double   temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRotationScale();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetInterpolatorPrototype_166(JNIEnv *env, jobject obj,jobject id0)
{
  vtkStreamTracer *op;
  vtkInterpolatedVelocityField  *temp0;
  temp0 = (vtkInterpolatedVelocityField *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInterpolatorPrototype(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkStreamTracer_VTKInit(JNIEnv *, jobject)
{
  vtkStreamTracer *aNewOne = vtkStreamTracer::New();
  return (jlong)(size_t)(void*)aNewOne;
}
